Skip to main content

App utils changelog

  • Changelog

@dynatrace-sdk/app-utils

1.0.3 Released Sep 11, 2026​

Patch changes​

  • Percent-encode functionName in functions.call. The value was spliced into the request path unencoded, so a caller-influenced function name could append query parameters the calling code never intended - myFn?admin=true reached the app function as GET /api/myFn?admin=true - or restructure the path. functionName is now sent as a single, inert path segment. This also covers useAppFunction in @dynatrace-sdk/react-hooks, which passes its name parameter straight through. (APPDEV-19698)
  • Generated TypeScript declarations are now rolled up into a single types/index.d.ts per entry point. (APPDEV-11700)

1.0.2 Released Jun 23, 2025​

Patch changes​

  • Improve variables section and rendering of object types. (APPDEV-13428)

1.0.1 Released Jun 10, 2025​

Patch changes​

  • fix: Improve documentation

1.0.0 Released Feb 11, 2025​

Major changes​

  • Release of 1.0 version

0.5.0 Released Jul 25, 2024​

Minor changes​

  • Use cause property to return whole Response when error occurs.

0.4.3 Released Apr 29, 2024​

Patch changes​

  • Fix a bug where an app function could not have been called from another app function.

0.4.2 Released Mar 6, 2024​

Patch changes​

  • Improve documentation.

0.4.1 Released Aug 24, 2023​

Patch changes​

  • Update documentation

0.4.0 Released Aug 21, 2023​

Minor changes​

  • Rename serverless to app functions Remove util-serverless package

Patch changes​

  • Fix typo in the documentation

0.3.1 Released Aug 4, 2023​

Patch changes​

  • Fix documentation for functions namespace

0.3.0 Released Jul 24, 2023​

Minor changes​

  • BREAKING CHANGE: functions.call second argument now is object that has two optional properties data and abort signal

0.2.3 Released Jun 27, 2023​

Patch changes​

  • Update documentation

0.2.2 Released May 2, 2023​

Patch changes​

  • Update documentation
  • Update links

0.2.1 Released Apr 5, 2023​

Patch changes​

  • Add description, homepage and keywords to package.json
  • Add docs for function utils packages.

0.2.0 Released Mar 29, 2023​

Minor changes​

  • Rename package util-app to app-utils

0.1.1​

Patch changes​

  • Improve docs

0.1.0​

Minor changes​

  • Introducing util-app package

Patch changes​

  • Adding docs for util-app and util-serverless.
Still have questions?
Find answers in the Dynatrace Community